Bug 519151

Summary: libotf BR is incorrect
Product: [Fedora] Fedora Reporter: Neal Becker <ndbecker2>
Component: emacsAssignee: Daniel Novotny <dnovotny>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 11CC: debarshir, dnovotny, jonathan.underwood, terjeros
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 23.1-3.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-27 02:08:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Neal Becker 2009-08-25 11:47:56 UTC
Description of problem:
ldd /usr/bin/emacs shows no libotf.

I don't think you got otf.  You need the following BR.  I believe you must use m17n-lib-devel + libotf-devel:

BuildRequires: librsvg2-devel, m17n-lib-devel, libotf-devel, librsvg2-devel


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Novotny 2009-08-26 10:17:34 UTC
sorry, I did "BuildRequires: libotf" which is not enough. Thank you for providing the correct BR, I will update the spec now.

Comment 2 Daniel Novotny 2009-08-26 10:52:56 UTC
rawhide done (emacs-23.1-5.fc12), building also for F11

Comment 3 Fedora Update System 2009-08-26 11:27:17 UTC
emacs-23.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/emacs-23.1-3.fc11

Comment 4 Fedora Update System 2009-08-27 02:08:00 UTC
emacs-23.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Terje Røsten 2009-09-16 18:31:09 UTC
This had a side effect, now emacs and openmpi has a conflict as
libotf and openmpi both ships the file /usr/bin/otfdump:

/usr/bin/otfdump from install of openmpi-1.3.1-1.fc11.i586 conflicts with file from package libotf-0.9.8-2.fc11.i586

Is the /usr/bin/otf* binaries in libotf needed or just the lib? 

This might be fixed by splitting off the /usr/bin/otf* in a subpackage libotf-tools.

Comment 6 Neal Becker 2009-09-16 19:21:23 UTC
openmpi is now being repackaged and otfdump will not conflict anymore.  Hopefully this issue is then closed?